
Redmine - Defect #18672

Random Error 500 after upgrade to 2.6.0

2014-12-18 01:23 - Francois Conil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.0

Description

Hi,

Since upgrading to 2.6.0, we get random errors while trying to display pages. Once it happens, every page yields an error 500 like

this:

Completed 200 OK in 519.4ms (Views: 403.6ms | ActiveRecord: 86.4ms)

Started GET "/issues/40382" for 127.0.0.1 at 2014-12-18 10:13:37 +1100

Processing by IssuesController#show as HTML

Parameters: {"id"=>"40382"}

Current user: mdavis (id=382)

Completed 500 Internal Server Error in 378.0ms

NoMethodError (undefined method `acts_as_nested_set_options' on Class (Class)):

lib/plugins/awesome_nested_set/lib/awesome_nested_set/columns.rb:7:in `left_column_name'

lib/plugins/awesome_nested_set/lib/awesome_nested_set/model.rb:71:in `right_of'

lib/plugins/awesome_nested_set/lib/awesome_nested_set/model/relatable.rb:50:in `self_and_descendants'

lib/plugins/awesome_nested_set/lib/awesome_nested_set/model/relatable.rb:44:in `descendants'

app/models/query.rb:527:in `project_statement'

app/models/query.rb:553:in `statement'

app/models/issue_query.rb:361:in `issue_ids'

app/controllers/issues_controller.rb:360:in `retrieve_previous_and_next_issue_ids'

app/controllers/issues_controller.rb:127:in `show'

app/controllers/issues_controller.rb:125:in `show'

 Restarting the application server fixes it.

Current configuration:

Gem list:

actionmailer (3.2.19, 3.2.17)

actionpack (3.2.19, 3.2.17)

activemodel (3.2.19, 3.2.17)

activerecord (3.2.19, 3.2.17)

activerecord-postgresql-adapter (0.0.1)

activeresource (3.2.19, 3.2.17)

activesupport (3.2.19, 3.2.17)

acts-as-taggable-on (2.3.3)

arel (3.0.3)

awesome_nested_set (2.1.6)

builder (3.0.4, 3.0.0)

bundler (1.6.2)

coderay (1.1.0)

erubis (2.7.0)

ffi2-generators (0.1.1)

hike (1.2.3)

i18n (0.6.11, 0.6.9)

journey (1.0.4)

jquery-rails (3.1.2, 2.0.3)

json (1.8.1)
mail (2.5.4)

memcache-client (1.8.5)

memcached (1.8.0)

mime-types (1.25.1)

minitest (4.7.5)

money (5.1.1)

multi_json (1.10.1, 1.9.0)

net-ldap (0.7.0, 0.3.1)

net-ldap-1 (0.4.0)

pg (0.17.1)

polyglot (0.3.5, 0.3.4)

puma (2.9.2, 2.9.1)

racc (1.4.11)

rack (1.5.2, 1.4.5)

rack-cache (1.2)

rack-openid (1.4.2)

rack-ssl (1.3.4, 1.3.3)

rack-test (0.6.2)

rails (3.2.19, 3.2.17)

railties (3.2.19, 3.2.17)

rake (10.3.2, 10.1.1)

rbpdf (1.18.2, 1.18.1)

rdoc (4.1.1, 3.12.2)

request_store (1.0.5)

rouge (1.7.2, 1.4.0, 1.3.4)

rubinius-ast (2.1.3)

rubinius-build_tools (2.0.0)

rubinius-compiler (2.1.1)

rubinius-coverage (2.0.3)

rubinius-debugger (2.0.3)

rubinius-developer_tools (2.0.0)

rubinius-melbourne (2.1.0.0)

rubinius-processor (2.1.2)

rubinius-profiler (2.0.1)

rubinius-toolset (2.2.0)

ruby-ole (1.2.11.7)

ruby-openid (2.3.0)

rubysl (2.0.15)

rubysl-abbrev (2.0.4)

rubysl-base64 (2.0.0)

rubysl-benchmark (2.0.1)

rubysl-bigdecimal (2.0.2)

rubysl-cgi (2.0.1)

rubysl-cgi-session (2.0.1)

rubysl-cmath (2.0.0)

rubysl-complex (2.0.0)

rubysl-continuation (2.0.0)

rubysl-coverage (2.0.3)

rubysl-csv (2.0.2)

rubysl-curses (2.0.1)

rubysl-date (2.0.6)

rubysl-delegate (2.0.1)

rubysl-digest (2.0.3)

rubysl-drb (2.0.1)

rubysl-e2mmap (2.0.0)

rubysl-english (2.0.0)

rubysl-enumerator (2.0.0)

rubysl-erb (2.0.1)

rubysl-etc (2.0.3)

rubysl-expect (2.0.0)

rubysl-fcntl (2.0.4)

rubysl-fiber (2.0.0)

rubysl-fileutils (2.0.3)

rubysl-find (2.0.1)

rubysl-forwardable (2.0.1)

rubysl-getoptlong (2.0.0)

rubysl-gserver (2.0.0)
rubysl-io-console (2.0.0)

rubysl-io-nonblock (2.0.0)

rubysl-io-wait (2.0.0)

rubysl-ipaddr (2.0.0)

rubysl-irb (2.0.4)

rubysl-logger (2.0.0)

rubysl-mathn (2.0.0)

rubysl-matrix (2.1.0)

rubysl-mkmf (2.0.1)

rubysl-monitor (2.0.0)

rubysl-mutex_m (2.0.0)

rubysl-net-ftp (2.0.1)

rubysl-net-http (2.0.4)

rubysl-net-imap (2.0.1)

rubysl-net-pop (2.0.1)

rubysl-net-protocol (2.0.1)

rubysl-net-smtp (2.0.1)

rubysl-net-telnet (2.0.0)

rubysl-nkf (2.0.1)

rubysl-observer (2.0.0)

rubysl-open-uri (2.0.0)

rubysl-open3 (2.0.0)

rubysl-openssl (2.1.0)

rubysl-optparse (2.0.1)

rubysl-ostruct (2.0.4)

rubysl-pathname (2.0.0)

rubysl-prettyprint (2.0.3)

rubysl-prime (2.0.1)

rubysl-profile (2.0.0)

rubysl-profiler (2.0.1)

rubysl-pstore (2.0.0)

rubysl-pty (2.0.2)

rubysl-rational (2.0.1)

rubysl-readline (2.0.2)

rubysl-resolv (2.1.0)

rubysl-rexml (2.0.2)

rubysl-rinda (2.0.1)

rubysl-rss (2.0.0)

rubysl-scanf (2.0.0)

rubysl-securerandom (2.0.0)

rubysl-set (2.0.1)

rubysl-shellwords (2.0.0)

rubysl-singleton (2.0.0)

rubysl-socket (2.0.1)

rubysl-stringio (2.0.0)

rubysl-strscan (2.0.0)

rubysl-sync (2.0.0)

rubysl-syslog (2.0.1)

rubysl-tempfile (2.0.1)

rubysl-test-unit (2.0.3)

rubysl-thread (2.0.2)

rubysl-thwait (2.0.0)

rubysl-time (2.0.3)

rubysl-timeout (2.0.0)

rubysl-tmpdir (2.0.1)

rubysl-tsort (2.0.1)

rubysl-un (2.0.0)

rubysl-uri (2.0.0)

rubysl-weakref (2.0.0)

rubysl-webrick (2.0.0)

rubysl-xmlrpc (2.0.0)

rubysl-yaml (2.0.4)

rubysl-zlib (2.0.1)

spreadsheet (0.6.9)

sprockets (2.2.3, 2.2.2)

thor (0.19.1, 0.18.1)

tilt (1.4.1)
treetop (1.4.15)

tzinfo (0.3.42, 0.3.41, 0.3.39)

vcard (0.2.12)

 Ruby version:

ruby -v

rubinius 2.2.9 (2.1.0 8694b613 2014-06-10 JI) [x86_64-linux-gnu]

 Admin panel info:

Environment:

  Redmine version                2.6.0.stable.12119

  Ruby version                   2.1.0-p0 (2014-06-10) [x86_64-linux-gnu]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.6.17

  Cvs                            1.12.13

  Git                            1.7.10.4

  Filesystem                     

Redmine plugins:

  ixa_hacks                      0.0.1

  redmine_agile                  1.3.5

  redmine_app__space             1.0.3

  redmine_app_timesheets         1.3.28

  redmine_contacts               3.4.1

  redmine_contacts_helpdesk      2.2.13

  redmine_favorite_projects      1.0.1

  redmine_issue_checklist        2.0.5

  redmine_rouge                  0.0.1

 I cannot reproduce the issue, just have to wait until the issue occurs and restart the web application server.

History

#1 - 2015-01-04 17:49 - Toshi MARUYAMA

- Status changed from New to Needs feedback

rubinius 2.2.9 (2.1.0 8694b613 2014-06-10 JI) [x86_64-linux-gnu]

 We don't support rubinius.

#2 - 2015-04-14 19:23 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
